%define anolis_release 1
%global pypi_name HyperPyYAML
%global pypi_version 1.2.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Extensions to YAML syntax for better python interaction

License:        None
URL:            https://github.com/speechbrain/HyperPyYAML
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyyaml) >= 5.1
BuildRequires:  python3dist(ruamel.yaml) >= 0.17.28
BuildRequires:  python3dist(setuptools)

%description
A crucial element of systems for data-analysis is laying out all the hyperparameters 
of that system so they can be easily examined and modified. We add a few useful extensions 
to a popular human-readable data-serialization language known as YAML (YAML Ain't Markup 
Language). This provides support for a rather expansive idea of what constitutes a 
hyperparameter, and cleans up python files for data analysis to just the bare algorithm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyyaml) >= 5.1
Requires:       python3dist(ruamel.yaml) >= 0.17.28
%description -n python3-%{pypi_name}
A crucial element of systems for data-analysis is laying out all the hyperparameters 
of that system so they can be easily examined and modified. We add a few useful extensions 
to a popular human-readable data-serialization language known as YAML (YAML Ain't Markup 
Language). This provides support for a rather expansive idea of what constitutes a 
hyperparameter, and cleans up python files for data analysis to just the bare algorithm.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/hyperpyyaml
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 18 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.2.2-1
- Initial package.